@ECHO OFF

:: This is an example to go along with for_each_computer.CMD
:: Run as "for_each_computer filever_example foo bar"
:: It reports the version of two OCX files installed on all matching computers:
:: Needs admin rights on the target computers.
:: Needs FILEVER.EXE from the Windows Support Tools.

:: do something for multiple files on each computer
CALL :for_each_file %1 tabctl32.ocx
CALL :for_each_file %1 mshflxgd.ocx

:: exit (do next computer)
EXIT /B

:: ----------------------------------------------------------------------

:for_each_file
:: %1 is computer, %2 is the item

:: if file does not exist, warn and skip
IF NOT EXIST "%1\C$\Windows\System32\%2" (
	ECHO missing: %1: %2
	EXIT /B
	)

:: name of computer, without trailing newline
ECHO/|SET /p =%1: 
:: display file version (also includes date, name, some other stuff)
FILEVER "%1\C$\Windows\System32\%2"

:: return (do next file)
EXIT /B
